
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="icon" href="favicon.ico">

  <title>VideoJS MPEG-DASH</title>

  <!-- Bootstrap core CSS. This is just to make the demo look
    nice. It's not required for videojs-contrib-dash to work. -->
  <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">

  <!-- Some custom styles for the demo page -->
  <style>
    body {
      padding-top: 50px;
      color: #868688;
      background-color: #FAFCFF;
    }

    nav {
      background-color: #e7e7e7
    }

    nav a {
      color: #868688;
    }

    nav a:hover {
      color: #606062;
      text-decoration: none;
    }

    .navbar-toggle .icon-bar {
      background-color: #868688;
    }

    .starter-template {
      padding: 40px 15px;
      text-align: center;
    }

    .video-js {
      margin: 0 auto;
    }
  </style>

  <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
</head>

<body>

  <nav class="navbar navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
        <a class="navbar-brand" href="#">videojs-contrib-dash</a>
      </div>
      <div id="navbar" class="collapse navbar-collapse">
        <ul class="nav navbar-nav">
          <li><a href="https://github.com/videojs/videojs-contrib-dash/blob/master/README.md">Docs</a></li>
          <li><a href="https://github.com/videojs/videojs-contrib-dash">Source</a></li>
          <li><a href="https://github.com/videojs/videojs-contrib-dash/issues">Issues</a></li>
        </ul>
      </div>
      <!--/.nav-collapse -->
    </div>
  </nav>

  <div class="container">

    <section class="starter-template">
      <h1>VideoJS MPEG-DASH</h1>
      <p class="lead">
        <a href="https://github.com/videojs/videojs-contrib-dash">videojs-contrib-dash</a> lets you use a single format and deliver adaptive streaming video to many recent HTML5 browsers.
      </p>

      <!--
          -- Your video element. Just like regular HTML5 video.
          -->
      <video id=example-video width=600 height=300 class="video-js vjs-default-skin" controls>
        </video>

      <form id=load-url>
        <label> Video URL: <input id=url type=url value="https://s3.amazonaws.com/_bc_dml/example-content/sintel_dash/sintel_vod.mpd"> </label> <br>
        <label> Widevine License URL: <input id=wvServer type=url value=""> </label><br>
        <label> PlayReady License URL: <input id=prServer type=url value=""> </label><br>
        <button type=submit>Load</button>
      </form>
    </section>

    <section class="getting-started">
      <h2>Getting Started</h2>
      <p>
        Download
        <a href="https://github.com/Dash-Industry-Forum/dash.js/releases/latest">Dash.js</a> and <a href="https://github.com/videojs/videojs-contrib-dash/releases/latest">videojs-contrib-dash</a>. Include them both in your web page along with video.js:
      </p>
      <pre>&lt;video id=example-video width=600 height=300 class="video-js vjs-default-skin" controls&gt; &lt;/video&gt;

&lt;script src="video.js"&gt;&lt;/script&gt;
&lt;script src="dash.all.js"&gt;&lt;/script&gt;
&lt;script src="videojs-dash.min.js"&gt;&lt;/script&gt;
&lt;script&gt;
  var player = videojs('example-video');
  player.src({ src: 'https://example.com/dash.mpd', type: 'application/dash+xml'});
  player.play();
&lt;/script&gt;</pre>
      <p>Or just check out the source of this page!</p>
    </section>

  </div>
  <!-- /.container -->


  <!-- Bootstrap stuff. These three scripts aren't necessary for you
         to use videojs-contrib-dash -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>


  <!--------------------------------------------------------------------------
      --                      videojs-contrib-dash setup                       --
      ------------------------------------------------------------------------!>

    <!--
      -- Make sure to include the video.js CSS. This could go in
      -- the <head>, too.
      -->
  <link href="https://unpkg.com/video.js/dist/video-js.css" rel="stylesheet">

  <!--
      -- Include video.js, dash.js, and
      -- videojs-contrib-dash in your page
      -->
  <script src="https://unpkg.com/video.js/dist/video.js"></script>
  <script src="//cdn.dashjs.org/latest/dash.all.debug.js"></script>
  <script src="https://unpkg.com/videojs-contrib-dash/dist/videojs-dash.js"></script>

  <!--
      -- Now, initialize your player. That's it!
      -->
  <script>
    (function(videojs) {
      var player = window.player = videojs('example-video');
      var url = document.getElementById('url');

      // hook up the video switcher
      var loadUrl = document.getElementById('load-url');
      loadUrl.addEventListener('submit', function(event) {
        event.preventDefault();

        var wvServer = document.getElementById('wvServer');
        var prServer = document.getElementById('prServer');
        var src = {
          src: url.value,
          type: 'application/dash+xml'
        };

        if (wvServer.value || prServer.value) {
          src.keySystemOptions = [];

          if (wvServer.value) {
            src.keySystemOptions.push({
              name: 'com.widevine.alpha',
              options: {
                serverURL: wvServer.value
              }
            });
          }

          if (prServer.value) {
            src.keySystemOptions.push({
              name: 'com.microsoft.playready',
              options: {
                serverURL: prServer.value
              }
            });
          }
        }

        player.src(src);

        return false;
      });

      player.src({
          src: url.value,
          type: 'application/dash+xml'
        });
    })(window.videojs);
  </script>
</body>

</html>